<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>HttpRequest (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HttpRequest (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":10,"i9":9,"i10":9,"i11":10,"i12":10,"i13":10,"i14":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.BufferedResponse.html" title="class in com.sk89q.worldedit.util.net"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/net/HttpRequest.html" target="_top">Frames</a></li>
<li><a href="HttpRequest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.net</div>
<h2 title="Class HttpRequest" class="title">Class HttpRequest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.net.HttpRequest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Closeable, java.lang.AutoCloseable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">HttpRequest</span>
extends java.lang.Object
implements java.io.Closeable</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.BufferedResponse.html" title="class in com.sk89q.worldedit.util.net">HttpRequest.BufferedResponse</a></span></code>
<div class="block">Used to buffer the response in memory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.Form.html" title="class in com.sk89q.worldedit.util.net">HttpRequest.Form</a></span></code>
<div class="block">Used with <a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#bodyForm-com.sk89q.worldedit.util.net.HttpRequest.Form-"><code>bodyForm(Form)</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#body-java.lang.String-">body</a></span>(java.lang.String&nbsp;data)</code>
<div class="block">Submit data.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#bodyForm-com.sk89q.worldedit.util.net.HttpRequest.Form-">bodyForm</a></span>(<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.Form.html" title="class in com.sk89q.worldedit.util.net">HttpRequest.Form</a>&nbsp;form)</code>
<div class="block">Submit form data.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#close--">close</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#execute--">execute</a></span>()</code>
<div class="block">Execute the request.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#expectResponseCode-int...-">expectResponseCode</a></span>(int...&nbsp;codes)</code>
<div class="block">Require that the response code is one of the given response codes.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#get-java.net.URL-">get</a></span>(java.net.URL&nbsp;url)</code>
<div class="block">Perform a GET request.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.io.InputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#getInputStream--">getInputStream</a></span>()</code>
<div class="block">Get the input stream.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#getResponseCode--">getResponseCode</a></span>()</code>
<div class="block">Get the response code.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#header-java.lang.String-java.lang.String-">header</a></span>(java.lang.String&nbsp;key,
      java.lang.String&nbsp;value)</code>
<div class="block">Add a header.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#post-java.net.URL-">post</a></span>(java.net.URL&nbsp;url)</code>
<div class="block">Perform a POST request.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#request-java.lang.String-java.net.URL-">request</a></span>(java.lang.String&nbsp;method,
       java.net.URL&nbsp;url)</code>
<div class="block">Perform a request.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.BufferedResponse.html" title="class in com.sk89q.worldedit.util.net">HttpRequest.BufferedResponse</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#returnContent--">returnContent</a></span>()</code>
<div class="block">Buffer the returned response.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#saveContent-java.io.File-">saveContent</a></span>(java.io.File&nbsp;file)</code>
<div class="block">Save the result to a file.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#saveContent-java.io.OutputStream-">saveContent</a></span>(java.io.OutputStream&nbsp;out)</code>
<div class="block">Save the result to an output stream.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static java.net.URL</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#url-java.lang.String-">url</a></span>(java.lang.String&nbsp;url)</code>
<div class="block">Create a new <code>URL</code> and throw a <code>RuntimeException</code> if the URL
 is not valid.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="body-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>body</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;body(java.lang.String&nbsp;data)</pre>
<div class="block">Submit data.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="bodyForm-com.sk89q.worldedit.util.net.HttpRequest.Form-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bodyForm</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;bodyForm(<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.Form.html" title="class in com.sk89q.worldedit.util.net">HttpRequest.Form</a>&nbsp;form)</pre>
<div class="block">Submit form data.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>form</code> - the form</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="header-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>header</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;header(java.lang.String&nbsp;key,
                          java.lang.String&nbsp;value)</pre>
<div class="block">Add a header.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the header key</dd>
<dd><code>value</code> - the header value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="execute--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;execute()
                    throws java.io.IOException</pre>
<div class="block">Execute the request.
 <p/>
 After execution, <a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html#close--"><code>close()</code></a> should be called.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - on I/O error</dd>
</dl>
</li>
</ul>
<a name="expectResponseCode-int...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>expectResponseCode</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;expectResponseCode(int...&nbsp;codes)
                               throws java.io.IOException</pre>
<div class="block">Require that the response code is one of the given response codes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codes</code> - a list of codes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - if there is an I/O error or the response code is not expected</dd>
</dl>
</li>
</ul>
<a name="getResponseCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResponseCode</h4>
<pre>public&nbsp;int&nbsp;getResponseCode()
                    throws java.io.IOException</pre>
<div class="block">Get the response code.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the response code</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - on I/O error</dd>
</dl>
</li>
</ul>
<a name="getInputStream--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputStream</h4>
<pre>public&nbsp;java.io.InputStream&nbsp;getInputStream()</pre>
<div class="block">Get the input stream.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the input stream</dd>
</dl>
</li>
</ul>
<a name="returnContent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>returnContent</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.BufferedResponse.html" title="class in com.sk89q.worldedit.util.net">HttpRequest.BufferedResponse</a>&nbsp;returnContent()
                                           throws java.io.IOException,
                                                  java.lang.InterruptedException</pre>
<div class="block">Buffer the returned response.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the buffered response</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - on I/O error</dd>
<dd><code>java.lang.InterruptedException</code> - on interruption</dd>
</dl>
</li>
</ul>
<a name="saveContent-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveContent</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;saveContent(java.io.File&nbsp;file)
                        throws java.io.IOException,
                               java.lang.InterruptedException</pre>
<div class="block">Save the result to a file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - on I/O error</dd>
<dd><code>java.lang.InterruptedException</code> - on interruption</dd>
</dl>
</li>
</ul>
<a name="saveContent-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveContent</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;saveContent(java.io.OutputStream&nbsp;out)
                        throws java.io.IOException,
                               java.lang.InterruptedException</pre>
<div class="block">Save the result to an output stream.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>out</code> - the output stream</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - on I/O error</dd>
<dd><code>java.lang.InterruptedException</code> - on interruption</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="get-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;get(java.net.URL&nbsp;url)</pre>
<div class="block">Perform a GET request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the URL</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new request object</dd>
</dl>
</li>
</ul>
<a name="post-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>post</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;post(java.net.URL&nbsp;url)</pre>
<div class="block">Perform a POST request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the URL</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new request object</dd>
</dl>
</li>
</ul>
<a name="request-java.lang.String-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.html" title="class in com.sk89q.worldedit.util.net">HttpRequest</a>&nbsp;request(java.lang.String&nbsp;method,
                                  java.net.URL&nbsp;url)</pre>
<div class="block">Perform a request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>method</code> - the method</dd>
<dd><code>url</code> - the URL</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new request object</dd>
</dl>
</li>
</ul>
<a name="url-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>url</h4>
<pre>public static&nbsp;java.net.URL&nbsp;url(java.lang.String&nbsp;url)</pre>
<div class="block">Create a new <code>URL</code> and throw a <code>RuntimeException</code> if the URL
 is not valid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the url</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a URL object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.RuntimeException</code> - if the URL is invalid</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/net/HttpRequest.BufferedResponse.html" title="class in com.sk89q.worldedit.util.net"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/net/HttpRequest.html" target="_top">Frames</a></li>
<li><a href="HttpRequest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
